OpenTTD

Public Member Functions | Data Fields
GameStrings Struct Reference

Container for all the game strings. More...

`#include <game_text.hpp>`

## Public Member Functions
void | Compile ()
| Compile the language. More...

## Data Fields
uint | version
| The version of the language strings.
LanguageStrings * | cur_language
| The current (compiled) language.
AutoDeleteSmallVector< LanguageStrings *, 4 > | raw_strings
| The raw strings per language, first must be English/the master language!.
AutoDeleteSmallVector< LanguageStrings *, 4 > | compiled_strings
| The compiled strings per language, first must be English/the master language!.
StringList | string_names
| The names of the compiled strings.

## Detailed Description

Container for all the game strings.

Definition at line 31 of file game_text.hpp.

## Member Function Documentation

## ◆ Compile()

void GameStrings::Compile | ( |  | ) |

Compile the language.

Definition at line 309 of file game_text.cpp.

References StringReader::ParseFile().

The documentation for this struct was generated from the following files:

- src/game/game_text.hpp
- src/game/game_text.cpp